> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get brokerage firm

> Retrieves a brokerage firm by id including configuration and metadata.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}:
    get:
      tags:
        - brokerage-firms
      summary: Get brokerage firm
      description: Retrieves a brokerage firm by id including configuration and metadata.
      operationId: BrokerageFirmController_getBrokerageFirm
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          description: Brokerage firm id
          schema:
            type: string
      responses:
        '200':
          description: Brokerage firm retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBrokerageFirmOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
              examples:
                BROKERAGE_FIRM_NOT_FOUND:
                  $ref: '#/components/schemas/BrokerageFirmNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetBrokerageFirmOutput:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        type:
          type: string
          description: Entity type
        firmType:
          type: string
          description: Brokerage firm type
          enum:
            - WHOLESALE
            - RETAIL
            - TEAM
        id:
          type: string
          description: Brokerage firm id
        parentBrokerageFirmId:
          type: string
          description: Brokerage firm id
        companyInfo:
          description: Company info
          allOf:
            - $ref: '#/components/schemas/FormattedSirenDataDto'
        createdAt:
          format: date-time
          type: string
          description: Creation date of brokerage firm
        tenantId:
          type: string
          description: Tenant id
        preferredPaymentMethodId:
          type: string
        activeProducts:
          description: Active products
          type: array
          items:
            type: string
        inactiveProducts:
          description: Inactive products
          type: array
          items:
            type: string
      required:
        - type
        - firmType
        - id
        - companyInfo
        - createdAt
        - tenantId
        - activeProducts
        - inactiveProducts
    BrokerageFirmNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - BROKERAGE_FIRM_NOT_FOUND
        message:
          type: string
          example: No brokerage firm found for brokerage firm id {brokerageFirmId}
        details:
          $ref: '#/components/schemas/BrokerageFirmNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    FormattedSirenDataDto:
      type: object
      properties:
        siren:
          type: string
          description: 'Optional: Siren number'
        siret:
          type: string
          description: Siret number
        nafCode:
          type: string
          description: 'Optional: Naf code'
        nafLabel:
          type: string
          description: 'Optional: Naf label'
        name:
          type: string
          description: 'Optional: Company name'
        creationDate:
          type: string
          description: 'Optional: Creation date'
        location:
          description: 'Optional: Location'
          allOf:
            - $ref: '#/components/schemas/LocationDto'
        legalStatus:
          description: 'Optional: legal status by level'
          allOf:
            - $ref: '#/components/schemas/LegalStatusDto'
        headcount:
          type: string
          description: 'Optional: Number of employees'
      required:
        - siret
    BrokerageFirmNotFoundDetailsDto:
      type: object
      properties:
        brokerageFirmId:
          type: string
        source:
          type: string
        policyId:
          type: string
      required:
        - brokerageFirmId
    LocationDto:
      type: object
      properties:
        address:
          type: string
          description: Address
        postCode:
          type: string
          description: Post code
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
      required:
        - city
        - country
    LegalStatusDto:
      type: object
      properties:
        '1':
          type: string
          description: First legal status
        '2':
          type: string
          description: Second legal status
        '3':
          type: string
          description: Third legal status
      required:
        - '1'
        - '2'
        - '3'

````